import axios from '@/libs/axios.js'
 
// 获取图片验证码
export const getCaptcha = randomCode => {
  return axios.request({
    url: `captcha/create/${randomCode}`,
    method: 'get',
    responseType: 'blob',
  }, true)
}
// 发送短信验证码
export const sendVerifyCode = params => {
  return axios.request({
    url: 'sendVerifiCode',
    method: 'post',
    data: params
  }, true)
}

// 修改密码
export const changePwd = params => {
  return axios.request({
    url: 'user/updatePwd',
    method: 'post',
    data: {
      oldPassword: params.oldPassword,
      password: params.password
    }
  }).then(res => res)
} 
// 手机号登录 校验用户账号状态
export const checkCustomerState = params => { 
  let url = `checkCustomerState/${params.phone}`
  return axios.request({
    url: url,
    method: 'get'
  })
}